<?php
class Mdoq_Connector_Model_Adminhtml_System_Config_Form_Field_Authkey extends Mage_Core_Model_Config_Data
{
    protected function _beforeSave()
    {
        $value = $this->getValue();

        preg_match('#[^a-zA-Z0-9]#', $value, $matches);

        if(count($matches) > 0){
            Mage::throwException(
                Mage::helper('core')->__('Auth key may only contain [a-z0-9A-Z]')
            );
        }

        if(strlen($value) > 32){
            Mage::throwException(
                Mage::helper('core')->__('Auth key must be 32 characters max')
            );
        }

        $this->setValue($value);
        return $this;
    }
}